%define prefix /usr
Summary: A GTK+ based front-end for CD rippers and MP3 encoders.
Name: grip
Version: 2.91
Release: 2
Copyright: GPL
Group: Applications/Multimedia
Source: http://www.nostatic/grip/%{name}+cdpar-%{version}.tgz
URL: http://www.nostatic.org/grip
Buildroot: /var/tmp/%{name}-root

%description
Grip is a GTK+ based front-end for CD rippers (such as cdparanoia and
cdda2wav) and MP3 encoders.  Grip allows you to rip entire tracks or
just a section of a track.  Grip supports the CDDB protocol for
accessing track information on disc database servers.

%prep
%setup -q

%build
cd cdparanoia
./configure --prefix=%{prefix}
make
make lib
cd -

make

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{prefix}/{bin,lib,share}
mkdir -p $RPM_BUILD_ROOT%{prefix}/share/pixmaps
mkdir -p $RPM_BUILD_ROOT/etc/X11/applnk/Multimedia/

make PREFIX=$RPM_BUILD_ROOT%{prefix} install

strip -s $RPM_BUILD_ROOT%{prefix}/bin/* || :

# fix manpage link
#{
#  pushd $RPM_BUILD_ROOT/usr/man/man1
#  rm gcd.1
#  ln -sf grip.1 gcd.1
#  popd
#}

install gripicon.tif $RPM_BUILD_ROOT%{prefix}/share/pixmaps

cat > $RPM_BUILD_ROOT/etc/X11/applnk/Multimedia/grip.desktop << EOF
[Desktop Entry]
Name=grip
Type=Application
Exec=/usr/bin/grip
Comment=%{summary}
Icon=/usr/share/pixmaps/gripicon.tif
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README CHANGES CREDITS LICENSE TODO gripicon.tif gcdicon.tif
%{prefix}/lib/grip
%{prefix}/bin/grip
%{prefix}/bin/gcd
%{prefix}/man/man1/*
/etc/X11/applnk/Multimedia/grip.desktop

%changelog
* Sun Feb 06 2000 Preston Brown <pbrown@redhat.com>
- fix more problems w/man page because of gzip

* Sun Jan 16 2000 Preston Brown <pbrown@redhat.com>
- 2.91
- fix man page symlink

* Thu Nov 11 1999 Tim Powers <timp@redhat.com>
- updated to 2.8
- no longer need separate cdparanoia source
- gzip man pages
- added desktop entry

* Mon Aug 30 1999 Bill Nottingham <notting@redhat.com>
- update to 2.6

* Thu Jul 15 1999 Tim Powers <timp@redhat.com>
- updated grip source
- included cdparanoia source, builds during the build routine so
  we can have a complete grip build
- and all were happy when it twas built for 6.1

* Sat Apr 18 1999 Michael Maher <mike@redhat.com>
- built package for 6.0
